/*
LCD.h
For the NU32 PIC32 Board
Write to an HD44780 LCD in 4bit mode with no reading back data
*/

#define FPB			SYS_FREQ 		// Result of bootloader
#define HIGH		1
#define LOW			0

// If you only want a 6-pin interface to your LCD, then
// connect the R/W pin on the LCD to ground, and comment
// out the following line.

//#define USE_LCD_RW   1     

//========================================

#define lcd_type 2        // 0=5x7, 1=5x10, 2=2 lines
#define lcd_line_two 0x40 // LCD RAM address for the 2nd line

void Delayms(unsigned t);
void Delayus(unsigned t);
void Delaytus(unsigned t);
void lcd_init(void);
void lcd_send_nibble(short nibble);
void lcd_send_byte(short address, short n);
void lcd_gotoxy(short x, short y);
void putsLCD(char *s);


