/** Constants **************************************************/

#define ARRAY_SIZE			200
#define CLOCKWISE 	0
#define COUNTER_CLOCKWISE 1
#define PI 3.142
#define PI_DIVIDE_2 1.571

#define DIRECTION_PIN_1		LATDbits.LATD3
#define DIRECTION_PIN_2		LATDbits.LATD4

#define MAX_RESOLUTION			39999		// Proportional to period of PWM
#define DESIRED_BAUDRATE    	(9600)      // The desired BaudRate 
#define MAX_SPEED	180		

//Steering wheel variations
#define MIN_SERVO_DUTY       3000			//Limit of servo
#define MAX_SERVO_DUTY      25000			//Limit of servo
#define MIDDLE_SERVO		13300
#define TURN_SERVO			4000

//Animal speed variations
#define HIGH_SPEED	MAX_SPEED
#define MEDIUM_SPEED	MAX_SPEED/1.4
#define LOW_SPEED	MAX_SPEED/2

//Animal frequency variations
#define HIGH_FREQUENCY	1
#define MEDIUM_FREQUENCY	4
#define LOW_FREQUENCY	8

//Animal amplitude variations
#define HIGH_AMPLITUDE	9000
#define MEDIUM_AMPLITUDE	5000
#define LOW_AMPLITUDE	3000

//control variables
#define KP  10 // proportional gain
#define KD  40 //differential gain
#define OFFSET  0 // feedback offset
